# Class GetVersionClient

#### Hierarchy

- GetVersionClient

- Defined in src/protobuf/GrpcServiceClientPb.ts:87

#####
Index

### Constructors

constructor

### Properties

client_
credentials_
hostname_
methodDescriptorGetVersion
options_

### Methods

getVersion

## Constructors

### constructor

- new GetVersionClient(hostname: string, credentials?: null | {
  [index: string]: string;
  }, options?: null | {
  [index: string]: any;
  }): GetVersionClient

- #### Parameters

  - ##### hostname: string

  - ##### `Optional` credentials: null | {
    [index: string]: string;
    }

  - ##### `Optional` options: null | {
    [index: string]: any;
    }

  #### Returns GetVersionClient

  - Defined in src/protobuf/GrpcServiceClientPb.ts:93

## Properties

### client_

client_: AbstractClientBase

- Defined in src/protobuf/GrpcServiceClientPb.ts:88

### credentials_

credentials_: null | {
[index: string]: string;
}

- Defined in src/protobuf/GrpcServiceClientPb.ts:90

### hostname_

hostname_: string

- Defined in src/protobuf/GrpcServiceClientPb.ts:89

### methodDescriptorGetVersion

methodDescriptorGetVersion: MethodDescriptor<GetVersionRequest, GetVersionReply> = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:106

### options_

options_: null | {
[index: string]: any;
}

- Defined in src/protobuf/GrpcServiceClientPb.ts:91

## Methods

### getVersion

- getVersion(request: GetVersionRequest, metadata?: null | Metadata): Promise<GetVersionReply>

- #### Parameters

  - ##### request: GetVersionRequest

  - ##### `Optional` metadata: null | Metadata

  #### Returns Promise<GetVersionReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:117
- getVersion(request: GetVersionRequest, metadata: null | Metadata, callback: ((err: RpcError, response: GetVersionReply) => void)): ClientReadableStream<GetVersionReply>

- #### Parameters

  - ##### request: GetVersionRequest

  - ##### metadata: null | Metadata

  - ##### callback: ((err: RpcError, response: GetVersionReply) => void)

    - - (err: RpcError, response: GetVersionReply): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: GetVersionReply

        #### Returns void

  #### Returns ClientReadableStream<GetVersionReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:121

Generated using TypeDoc